Bug 562 - cookie handling needs work
Summary: cookie handling needs work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 2.1rC
Hardware: All Linux
low
low vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-22 22:13 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-03-22 14:25:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 1998-12-22 22:13:41 UTC
the whole confirm_login and cookie handling needs to be
re-thought.  if a user doen't have the cookies set, does a
query and logs in before buglist comes up, then the BUGLIST
cookie will be displayed to their screen.

confirm_login should probably be re-written to return an
array of cookies that the cgi's can deal with as they see
fit, rather than sending its own header and cookies out.

Comment 1 Need Real Name 1999-03-22 14:25:59 UTC
ok, it looks like cookie handling has finally reached a sane state.  I
cannot find any code paths now that print cookie headers incorrectly.


Note You need to log in before you can comment on or make changes to this bug.